{ lib
, stdenv
, fetchFromGitHub
, makeWrapper
}:

stdenv.mkDerivation rec {
  pname = "exploitdb";
  version = "2022-07-22";

  src = fetchFromGitHub {
    owner = "offensive-security";
    repo = pname;
    rev = "refs/tags/${version}";
    hash = "sha256-36zfLPXAeYVJQ448E5xuwrNR4cb7xpjwqOQY/WcteQ0=";
  };

  nativeBuildInputs = [
    makeWrapper
  ];

  installPhase = ''
    runHook preInstall
    mkdir -p $out/bin $out/share
    cp --recursive . $out/share/exploitdb
    makeWrapper $out/share/exploitdb/searchsploit $out/bin/searchsploit
    runHook postInstall
  '';

  meta = with lib; {
    homepage = "https://github.com/offensive-security/exploitdb";
    description = "Archive of public exploits and corresponding vulnerable software";
    license = with licenses; [ gpl2Plus gpl3Plus mit ];
    maintainers = with maintainers; [ applePrincess fab ];
    mainProgram = "searchsploit";
  };
}
